Subject: Re: [rrg] Inter/intra-domain routing separation

From: [email-masked] (Noel Chiappa)
Date: Thu, 7 May 2009 07:48:51 -0400 (EDT)

> From: Scott Brim <[email-masked]>

    > it should be possible to route different prefixes, and subprefixes,
    > via different paths for traffic engineering purposes.

You guys are discussing whether buggy whips should have brass handles or not.
This is the Routing RESEARCH Group, for goodness' sake!

	Noel

---

From: [email-masked]
Date: Thu, 7 May 2009 08:02:44 EDT

In einer eMail vom 07.05.2009 13:48:12 Westeuropäische Normalzeit schreibt  
[email-masked]:

[email-masked] allegedly wrote on 05 07 2009 5:03 AM:
>  
> Toni,
> An important question is: what means "routable" ? Is an  address routable
> because it is "summarizable" ? Most IETF-folks think  so, whereas I do
> not. IMHO, neither a HIT, nor an IPv4/6 address nor  an AS number is
> routable. Well,wrt these, just IPv4/6 unicast  addresses are
> summarizable. Your proposal tends towards  E.164  (enum inverse :-), 
right ?

Anything that names a point of attachment to  the network is "routable".
"Routable" just means that  information about its topological location
can be propagated and used by  forwarding.  The reason we say that
location naming has to follow  topology is for aggregation.

Yes, but for a very high price: update churn, table size, Moore's law made  
unapplicable.
 
Heiner

---

From: [email-masked]
Date: Fri, 8 May 2009 10:07:50 EDT

In einer eMail vom 08.05.2009 12:19:32 Westeuropäische Normalzeit schreibt  
[email-masked]:

In my  not humble opinion, location naming has to follow reachability.
So having  location we know how to reach.

In my humble opinion, location naming should follow routability. 
Heiner